import ajax from "../utils/request.js";

/**
 * 商品列表
 * @returns {AxjxPromise}
 */
export function goodsList(data) {
  return ajax({
    url: "/goods/list",
    method: "get",
    data,
  });
}

/**
 * 排队列表
 * @returns {AxjxPromise}
 */
export function orderList(data) {
  return ajax({
    url: "/orders/queue",
    method: "get",
    data,
  });
}

/**
 * 预约
 * @returns {AxjxPromise}
 */
export function apply(data) {
  return ajax({
    url: "/orders/add-app",
    method: "post",
    data,
  });
}

/**
 * 取消预约
 * @returns {AxjxPromise}
 */
export function cancel(data) {
  return ajax({
    url: "/orders/cancel",
    method: "get",
    data,
  });
}

/**
 * 跳过
 * @returns {AxjxPromise}
 */
export function skip(data) {
  return ajax({
    url: "/orders/skip",
    method: "GET",
    data,
  });
}

/**
 * 下一个
 * @returns {AxjxPromise}
 */
export function nextone(data) {
  return ajax({
    url: "/orders/finish",
    method: "GET",
    data,
  });
}

/**
 * 预约时段
 * @returns {AxjxPromise}
 */
export function applyrang(data) {
  return ajax({
    url: "/time-segment/list",
    method: "GET",
    data,
  });
}
